FreeMat

- Main Page
- Related Pages

vtkImageLaplacian

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageLaplacian computes the Laplacian (like a second derivative) of a scalar image. The operation is the same as taking the divergence after a gradient. Boundaries are handled, so the input is the same as the output. Dimensionality determines how the input regions are interpreted. (images, or volumes). The Dimensionality defaults to two.

To create an instance of class vtkImageLaplacian, simply invoke its constructor as follows

      obj = vtkImageLaplacian

# Methods

The class vtkImageLaplacian has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageLaplacian class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageLaplacian = obj.NewInstance ()`
- `vtkImageLaplacian = obj.SafeDownCast (vtkObject o)`
- `obj.SetDimensionality (int )` - Determines how the input is interpreted (set of 2d slices ...)
- `int = obj.GetDimensionalityMinValue ()` - Determines how the input is interpreted (set of 2d slices ...)
- `int = obj.GetDimensionalityMaxValue ()` - Determines how the input is interpreted (set of 2d slices ...)
- `int = obj.GetDimensionality ()` - Determines how the input is interpreted (set of 2d slices ...)